Bug 487529 - parallel Installation of the 32 bit library (libX11) libXdmcp on a 64 bit system fails
parallel Installation of the 32 bit library (libX11) libXdmcp on a 64 bit sy...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 10:54 EST by Michael Baumgartner
Modified: 2014-06-18 05:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:03:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Baumgartner 2009-02-26 10:54:58 EST
Description of problem:

The parallel Installation of the 32 bit library on a 64 bit system fails in this case:
libX11
   libxcb
      libXau
         libXdmcp
Error:
Test-Transaktionsfehler  file /usr/share/X11/XKeysymDB from install of libX11-1.1.4-6.fc10.i386 conflicts with file from package libX11-1.1.4-5.fc10.x86_64

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install the Fedora-10-x86_64-DVD.iso on an Acer Aspire 7520 (Gnome)
2. Update the System 2009-02-25
3. Try to install the 32 Bit Version of libX11: libX11-1.1.4-6.fc10.i386
  
Actual results:
The Installation chrashes
Remark:
The error-message shows the version of Library libX11-1.1.4-5.fc10.x86_64
If you look to Paketmanager für GNOME (gpk-application 0.3.14) you will see:
the installed version:
libX11-1.1.4-6.fc10.x86_64 (and the source is Update?)
There is a missmatch in the last nummer of the version (5 - 6).

Expected results:
A automatic installation of libX11-1.1.4-6.fc10.i386

Additional info:
I think the reason is that after update one or more files have changed there positions in the filesystem layout and this results in a missmatch between:
libX11-1.1.4-6.fc10.i386 libX11-1.1.4-5.fc10.x86_64
but the real fitting compatibility should be between:
libX11-1.1.4-6.fc10.i386 libX11-1.1.4-6.fc10.x86_64

All who have only a 32 bit verson of a programm with visualization elements need this library, in my case google Androids emulator.
Comment 1 Matěj Cepl 2009-03-05 05:15:40 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all please retest with the latest libX11 from koji (http://koji.fedoraproject.org/koji/buildinfo?buildID=92098). Does it help?

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Adam Huffman 2009-08-02 08:36:50 EDT
I'm seeing a similar error when trying to apply the latest updates:

Test Transaction Errors:   file /usr/share/X11/locale/el_GR.UTF-8/Compose from install of libX11-1.2.2-1.fc11.x86_64 conflicts with file from package libX11-1.2.1-2.fc11.i586
  file /usr/share/X11/locale/en_US.UTF-8/Compose from install of libX11-1.2.2-1.fc11.x86_64 conflicts with file from package libX11-1.2.1-2.fc11.i586
  file /usr/share/X11/locale/fi_FI.UTF-8/Compose from install of libX11-1.2.2-1.fc11.x86_64 conflicts with file from package libX11-1.2.1-2.fc11.i586
  file /usr/share/X11/locale/iso8859-1/Compose from install of libX11-1.2.2-1.fc11.x86_64 conflicts with file from package libX11-1.2.1-2.fc11.i586
  file /usr/share/X11/locale/iso8859-15/Compose from install of libX11-1.2.2-1.fc11.x86_64 conflicts with file from package libX11-1.2.1-2.fc11.i586
  file /usr/share/X11/locale/iso8859-9/Compose from install of libX11-1.2.2-1.fc11.x86_64 conflicts with file from package libX11-1.2.1-2.fc11.i586
  file /usr/share/X11/locale/iso8859-9e/Compose from install of libX11-1.2.2-1.fc11.x86_64 conflicts wit...

I don't have an /etc/X11/xorg.conf at the moment.

I don't really think the Xorg.0.log file is relevant as this is a packaging error.
Comment 3 Matěj Cepl 2009-08-04 10:33:34 EDT
(In reply to comment #2)
> I don't really think the Xorg.0.log file is relevant as this is a packaging
> error.  

I am sorry my mistake, this is plain multilib issue. Assigning to developers.
Comment 4 Adam Huffman 2009-08-04 11:02:38 EDT
Actually, I think in my case the problem is with PackageKit, as the update worked when run via yum on the command-line.

It may be another instance of:

https://bugzilla.redhat.com/show_bug.cgi?id=513857

However, I didn't report this bug so it's not for me to close it.
Comment 5 Bug Zapper 2009-11-18 04:29:02 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 03:03:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.